package com.jeeplus.test.materialManagement.wareHouse.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.materialManagement.wareHouse.domain.WareHouseBasic;
import com.jeeplus.test.materialManagement.wareHouse.service.dto.WareHouseDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-29 16:39
 **/
public interface WareHouseBasicMapper extends BaseMapper<WareHouseBasic> {

    IPage<WareHouseDto> findList(Page<WareHouseDto> page,@Param(Constants.WRAPPER) QueryWrapper<WareHouseDto> queryWrapper);

    String getUserNameByUserId(String id);

    IPage<WareHouseDto> summaryList(Page<WareHouseDto> page,@Param(Constants.WRAPPER) QueryWrapper<WareHouseDto> queryWrapper);

    IPage<WareHouseDto> summaryList2(Page<WareHouseDto> page,@Param(Constants.WRAPPER) QueryWrapper<WareHouseDto> queryWrapper);

    IPage<WareHouseDto> wareHouseHistoryList(Page<WareHouseDto> page,@Param(Constants.WRAPPER) QueryWrapper<WareHouseDto> queryWrapper);

    IPage<WareHouseDto> collectHistoryList(Page<WareHouseDto> page,@Param(Constants.WRAPPER) QueryWrapper<WareHouseDto> queryWrapper);

    String findRequestId(String purchaseNo);

    /**
     * 根据领用类型和商品名称获取库存数量
     * @param collectTypeId
     * @param goodsName
     */
    WareHouseDto getByTypeAndGoodsName(@Param("goodsName")String goodsName,
                               @Param("collectTypeId")String collectTypeId);
}
